Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP.CodecPackage
Class InvalidTypeForEncoding

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.IOP.CodecPackage.InvalidTypeForEncoding

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class InvalidTypeForEncoding

extends UserException

org/omg/IOP/CodecPackage/InvalidTypeForEncoding.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Friday, December 18, 2009 7:21:29 PM GMT-08:00

Constructor Summary
`InvalidTypeForEncoding()`
`InvalidTypeForEncoding(String $reason)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTypeForEncoding

    public InvalidTypeForEncoding()

### InvalidTypeForEncoding

    public InvalidTypeForEncoding(String $reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.